//    _____ _                       _  _  _____       _                       ______      _  _
//   / ____) |                     | || |(_   _)     | |                     |  ____)    | || |
//  | |    | |  _ _ ___ ___  ___   |_||_|  | |  _ __ | |_ ___  __ _  ___ _ __| |__  _   ___||_|
//  | |    | |/ _` | __) __)/ _ \          | | | `_  \ __) _ \/ _` |/ _ \ `__)  __) \ \/ /
//  | |____| | (_| |__ \__ \  __/         _| |_| | | | |_  __/ (_| |  __/ |  | |____ )  (
//   \_____)_|\__,_|___/___/\___|        (_____)_| |_|\__)___|\__, |\___|_|  |______)_/\_\
//                                                             __| |
//                                                            (___/

package cat.lib.math;

import cat.lib.utils.StringToNumber;

/**
 *
 * @author Miquel Abadal i Cervià
 */
public class IntegerEx {

    private int value;

    public IntegerEx () {}
    public IntegerEx (int value) { this.value = value; }
    public IntegerEx (String value) { this.value = StringToNumber.intValue(value); }

    public void setValue (int value) { this.value = value; }
    public void setValue (String value) { this.value = StringToNumber.intValue(value); }

    public int getValue () { return value; }

    public void inc (int value) { this.value+=value; }
    public void dec (int value) { this.value-=value; }

    public void inc() { value++; }
    public void dec() { value--; }

    public int range (int min, int max) {
        if (value<min) { value = min; }
        if (value>max) { value = max; }
        return value;
    }

    public static int range (int value, int min, int max) {
        if (value<min) { value = min; }
        if (value>max) { value = max; }
        return value;
    }
}
