//    _____ _                       _  _  ____                  _               ______      _  _
//   / ____) |                     | || ||  __ \               | |             |  ____)    | || |
//  | |    | |  _ _ ___ ___  ___   |_||_|| |__) | _ _ _ __   __| | ___  _ _ __ | |__  _   ___||_|
//  | |    | |/ _` | __) __)/ _ \        |  _  // _` | `_  \/ _` |/ _ \| ` `  \|  __) \ \/ /
//  | |____| | (_| |__ \__ \  __/        | | \ \ (_| | | | | (_| | (_) | |\ |\ | |____ )  (
//   \_____)_|\__,_|___/___/\___|        |_|  \_\__,_|_| |_|\__,_|\___/|_||_||_|______)_/\_\
//
//

package cat.lib.math;

import java.util.Random;

/**
 *
 * @author Miquel Abadal i Cervià
 */
public class RandomEx {

    
    public static void randomize () {
        int  value = (int) ((long) System.currentTimeMillis()%10);
        for (int cont1=0; cont1<value; cont1++) { random (1.0); }
    }

    public static double random (double rang) {
        Random randomObj = new Random ();
        double valor = randomObj.nextDouble(); // Valors obtinguts entre [0.0 i 1.0 ]
        valor = valor * (rang);
        return valor;
    }

    public static int random (int rang) {
        Random randomObj = new Random ();
        int valor = randomObj.nextInt(rang); // Valors obtinguts entre [0.0 i 1.0 ]
        return valor;
    }


    public static double gaussianRandom (double rang) {
        Random randomObj = new Random ();
        double valor = randomObj.nextGaussian(); // Valors obtinguts entre [0.0 i 1.0 ]
        valor = valor * (rang);
        return valor;
    }

}
