//   _____       _             ___ _       _         _  _  ____         _         _____                           ____                  _     _          _  _
//  (_   _)     | |           / __)_)     (_)       | || ||  __ \      | |       / ____)                         |  __ \               (_)   | |        | || |
//    | |  _ __ | |_ ___ _ __| |_  _  ____ _  ___   |_||_|| |  | |  _ _| |_  _ _| (___   ___  _   _ _ __ ____ ___| |__) | __ ___ _    _ _  __| | ___ _ ___||_|
//    | | | `_  \ __) _ \ `__)  _|| |/ ___) |/ _ \        | |  | |/ _` | __) _` |\___ \ / _ \| | | | `__) ___) _ \  ___/ `__) _ \ |  | | |/ _` |/ _ \ `__)
//   _| |_| | | | |_  __/ |  | |  | | (___| |  __/        | |__| | (_| | |_ (_| |____) | (_) | |_| | | | (___  __/ |   | | | (_) | \/ /| | (_| |  __/ |
//  (_____)_| |_|\__)___|_|  |_|  |_|\____)_|\___|        |_____/ \__,_|\__)__,_|_____/ \___/ \__,_|_|  \____)___|_|   |_|  \___/ \__/ |_|\__,_|\___|_|
//
//


package cat.lib.reflect;

/**
 *
 * Interfície que defineix els métodes que ha d'implementar les classes que
 * vulgin comportar-se com a "proveïdors" de fonts de dades.
 *
 * @author Miquel Abadal (Interface Safe Access)
 * @date 02-02-2011
 *
 */
public interface DataSourceProvider {

    //   __  __      _            _             _  _   _____ ______ _______ _  _
    //  |  \/  |    | |          | |           | || | / ____)  ____)__   __) || |
    //  | \  / | ___| |_ ___   __| | ___ ___   |_||_|| |  __| |__     | |  |_||_|
    //  | |\/| |/ _ \ __) _ \ / _` |/ _ \ __)        | | (_ |  __)    | |
    //  | |  | |  __/ |_ (_) | (_| |  __/__ \        | |__| | |____   | |
    //  |_|  |_|\___|\__)___/ \__,_|\___|___/         \_____|______)  |_|
    //
    //

    public Object getDataSource(String dataSourceName);
    public Object getDataSource();
    

    //   __  __      _            _             _  _   _____ ______ _______ _  _
    //  |  \/  |    | |          | |           | || | / ____)  ____)__   __) || |
    //  | \  / | ___| |_ ___   __| | ___ ___   |_||_|| (___ | |__     | |  |_||_|
    //  | |\/| |/ _ \ __) _ \ / _` |/ _ \ __)         \___ \|  __)    | |
    //  | |  | |  __/ |_ (_) | (_| |  __/__ \         ____) | |____   | |
    //  |_|  |_|\___|\__)___/ \__,_|\___|___/        (_____/|______)  |_|
    //
    //



}

