//    _____ _                       _  _  _______ _                   _            _    ______      _  _
//   / ____) |                     | || |(__   __)_)                 | |          | |  |  ____)    | || |
//  | |    | |  _ _ ___ ___  ___   |_||_|   | |   _ _ _ __   ___ _ __| |_  _ _ ___| | _| |__  _   ___||_|
//  | |    | |/ _` | __) __)/ _ \           | |  | | ` `  \ / _ \ `__) __) _` | __) |/ /  __) \ \/ /
//  | |____| | (_| |__ \__ \  __/           | |  | | |\ |\ |  __/ |  | |_ (_| |__ \   <| |____ )  (
//   \_____)_|\__,_|___/___/\___|           |_|  |_|_||_||_|\___|_|   \__)__,_|___/_|\_\______)_/\_\
//
//

package cat.lib.timers;

import java.util.TimerTask;

/**
 *
 * @author Miquel Abadal i Cervià
 */
public class TimerTaskEx extends TimerTask {

    Timezable timezableObject = null;
    TimerEx sender = null;

    public TimerTaskEx (TimerEx sender, Timezable timezableObject) {
        this.timezableObject = timezableObject;
        this.sender = sender;
    }

    public void run () {
        if (timezableObject!=null) timezableObject.onTimer (sender);
    }

}
